Create seller payout batch
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoice_numbers": [
"<string>"
],
"include_pending_adjustments": true,
"remarks": "<string>"
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches"
payload = {
"invoice_numbers": ["<string>"],
"include_pending_adjustments": True,
"remarks": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invoice_numbers: ['<string>'],
include_pending_adjustments: true,
remarks: '<string>'
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/invoices/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"payout_batch": {
"batch_number": "<string>",
"credit_adjustments": 123,
"debit_adjustments": 123,
"id": "<string>",
"include_shipping_in_payout": true,
"include_tax_in_payout": true,
"initiated_by": "system",
"initiated_by_user_id": "<string>",
"invoice_count": 123,
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"remarks": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"seller_id": "<string>",
"seller_name": "<string>",
"status": "pending",
"to_be_paid": 123,
"total_charges": 123,
"total_invoice_amount": 123
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"error": {
"fieldname": [
"<string>"
]
}
}{
"message": "Not authorized for given operation on the Resource.",
"success": false,
"code": "unauthorized"
}Payouts
Create seller payout batch
Manually create a scheduled seller payout batch from selected pending payout invoices.
POST
/
orders
/
payouts
/
invoices
/
batches
Create seller payout batch
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I